Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.team.ui.synchronize
Interface ISynchronizeView

All Superinterfaces:
  IAdaptable, IViewPart, IWorkbenchPart

public interface ISynchronizeView
extends IViewPart

A view that displays synchronization participants that are registered with the synchronize manager. This is essentially a generic container that allows multiple `ISynchronizeParticipant` implementations to share the same view. The only behavior provided by the view is a mechanism for switching between participants.

Clients should not add viewActions to this view because they will be global to all participants. Instead, add participant specific actions as described in `StructuredViewerAdvisor`.

Clients are not intended to implement this interface.

Since:
  3.0
See Also:
  `ISynchronizeManager.showSynchronizeViewInActivePage()`

Field Summary
`static String` | `COMPARE_VIEW_ID` Deprecated. not used, please use `VIEW_ID` instead.
`static String` | `VIEW_ID` The id for this view

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Method Summary
`void` | `display(ISynchronizeParticipant participant)` Displays the given synchronize participant in the Synchronize View.
`ISynchronizeParticipant` | `getParticipant()` Returns the participant currently being displayed in the Synchronize View or `null` if none.

Methods inherited from interface org.eclipse.ui.IViewPart
`getViewSite, init, init, saveState`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, createPartControl, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setFocus`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Field Detail

### VIEW_ID

    public static final String VIEW_ID

  The id for this view

  See Also:
    Constant Field Values

### COMPARE_VIEW_ID

    public static final String COMPARE_VIEW_ID

  Deprecated. not used, please use `VIEW_ID` instead.

  This id is no longer used.

  See Also:
    Constant Field Values

Method Detail

### display

    public void display(ISynchronizeParticipant participant)

  Displays the given synchronize participant in the Synchronize View. This has no effect if this participant is already being displayed.

  Parameters:
    `participant` - participant to be displayed, cannot be `null`

### getParticipant

    public ISynchronizeParticipant getParticipant()

  Returns the participant currently being displayed in the Synchronize View or `null` if none.

  Returns:
    the participant currently being displayed in the Synchronize View or `null` if none

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.